SDK Install failed - Activation of network connection failed

I am using the SDK manager. The flashing was successful. However, the SDK installation now fails. I got a pop-up notification during the installation that said “Activation of network connection failed.” This pops up every once in a while, even after the installation quit.

What should I do? Thanks in advance.

Below is the terminal output. The error messages appear at the 6th from last line and the last line.

10:50:13 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
10:50:13 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
10:50:13 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
10:50:13 INFO : CUDA Toolkit for L4T : else
10:50:13 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
10:50:13 INFO : CUDA Toolkit for L4T : fi
10:50:13 INFO : CUDA Toolkit for L4T : done
10:50:13 INFO : CUDA Toolkit for L4T : }
10:50:13 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
10:50:13 INFO : CUDA Toolkit for L4T : function safe_apt_install {
10:50:13 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
10:50:13 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
10:50:13 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
10:50:13 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
10:50:13 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
10:50:13 INFO : CUDA Toolkit for L4T : else
10:50:13 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
10:50:13 INFO : CUDA Toolkit for L4T : fi
10:50:13 INFO : CUDA Toolkit for L4T : done
10:50:13 INFO : CUDA Toolkit for L4T : }
10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb" 5
10:50:13 INFO : CUDA Toolkit for L4T : sleep 5
10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-key add /var/cuda-repo-*-local*/*.pub" 5
10:50:13 INFO : CUDA Toolkit for L4T : sleep 2
10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y update" 5
10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get install -y gnupg" 5
10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin" 5
10:50:13 INFO : CUDA Toolkit for L4T : grep -q 'export PATH=.*/usr/local/cuda-10.0/bin' ~/.bashrc || echo 'export PATH=/usr/local/cuda-10.0/bin:$PATH'>>~/.bashrc
10:50:13 INFO : CUDA Toolkit for L4T : grep -q 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64' ~/.bashrc || echo 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64:$LD_LIBRARY_PATH' >> ~/.bashrc
10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
10:50:13 INFO : CUDA Toolkit for L4T : **********************
10:50:13 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
10:50:13 INFO : CUDA Toolkit for L4T : [target] farsightuser@192.168.55.1's password:
10:50:13 INFO : CUDA Toolkit for L4T :
10:50:13 INFO : CUDA Toolkit for L4T : [target] farsightuser@192.168.55.1's password:
10:50:13 INFO : CUDA Toolkit for L4T :
10:50:14 INFO : CUDA Toolkit for L4T : *begin sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb, 5
10:50:14 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsightuser:
10:50:14 INFO : CUDA Toolkit for L4T :
10:50:14 INFO : CUDA Toolkit for L4T : Selecting previously unselected package cuda-repo-l4t-10-0-local-10.0.166.
10:50:14 INFO : CUDA Toolkit for L4T : (Reading database ... 117136 files and directories currently installed.)
10:50:14 INFO : CUDA Toolkit for L4T : Preparing to unpack .../cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb ...
10:50:14 INFO : CUDA Toolkit for L4T : Unpacking cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
10:50:21 INFO : CUDA Toolkit for L4T : Setting up cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
10:50:21 INFO : CUDA Toolkit for L4T :
10:50:21 INFO : CUDA Toolkit for L4T : The public CUDA GPG key does not appear to be installed.
10:50:21 INFO : CUDA Toolkit for L4T : To install the key, run this command:
10:50:21 INFO : CUDA Toolkit for L4T : sudo apt-key add /var/cuda-repo-10-0-local-10.0.166/7fa2af80.pub
10:50:21 INFO : CUDA Toolkit for L4T :
10:50:26 INFO : CUDA Toolkit for L4T : *begin sudo apt-key add /var/cuda-repo-*-local*/*.pub, 5
10:50:26 INFO : CUDA Toolkit for L4T : Warning: apt-key output should not be parsed (stdout is not a terminal)
10:50:26 INFO : CUDA Toolkit for L4T : OK
10:50:28 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y update, 5
10:50:29 INFO : CUDA Toolkit for L4T : Reading package lists...
10:50:29 INFO : CUDA Toolkit for L4T : E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
10:50:29 INFO : CUDA Toolkit for L4T : E: Unable to lock directory /var/lib/apt/lists/
10:50:29 INFO : CUDA Toolkit for L4T : Reading package lists...
10:50:29 INFO : CUDA Toolkit for L4T : E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
10:50:29 INFO : CUDA Toolkit for L4T : E: Unable to lock directory /var/lib/apt/lists/
10:50:29 INFO : CUDA Toolkit for L4T : Waiting 5 seconds for apt to be available
10:50:34 INFO : CUDA Toolkit for L4T : Get:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
10:50:34 INFO : CUDA Toolkit for L4T : Ign:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
10:50:34 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
10:50:34 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
10:50:34 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
10:50:34 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
10:50:34 INFO : CUDA Toolkit for L4T : Get:4 file:/var/cuda-repo-10-0-local-10.0.166 Packages [10.9 kB]
10:51:00 INFO : CUDA Toolkit for L4T : Err:5 http://ports.ubuntu.com/ubuntu-ports bionic InRelease
10:51:00 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
10:51:05 INFO : CUDA Toolkit for L4T : Err:6 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease
10:51:05 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
10:51:15 INFO : CUDA Toolkit for L4T : Err:7 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease
10:51:15 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
10:51:25 INFO : CUDA Toolkit for L4T : Err:8 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease
10:51:25 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
10:51:26 INFO : CUDA Toolkit for L4T : Reading package lists...
10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic/InRelease Could not resolve 'ports.ubuntu.com'
10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-updates/InRelease Could not resolve 'ports.ubuntu.com'
10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-backports/InRelease Could not resolve 'ports.ubuntu.com'
10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-security/InRelease Could not resolve 'ports.ubuntu.com'
10:51:26 INFO : CUDA Toolkit for L4T : W: Some index files failed to download. They have been ignored, or old ones used instead.
10:51:26 INFO : CUDA Toolkit for L4T : Waiting 5 seconds for apt to be available
10:51:31 INFO : CUDA Toolkit for L4T : *begin sudo apt-get install -y gnupg, 5
10:51:31 INFO : CUDA Toolkit for L4T : Reading package lists...
10:51:31 INFO : CUDA Toolkit for L4T : Building dependency tree...
10:51:31 INFO : CUDA Toolkit for L4T : Reading state information...
10:51:31 INFO : CUDA Toolkit for L4T : gnupg is already the newest version (2.2.4-1ubuntu1.2).
10:51:31 INFO : CUDA Toolkit for L4T : gnupg set to manually installed.
10:51:31 INFO : CUDA Toolkit for L4T : The following packages were automatically installed and are no longer required:
10:51:31 INFO : CUDA Toolkit for L4T : apt-clone archdetect-deb busybox-static cryptsetup-bin dpkg-repack
10:51:31 INFO : CUDA Toolkit for L4T : gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 grub-common kde-window-manager kinit
10:51:31 INFO : CUDA Toolkit for L4T : kio kpackagetool5 kwayland-data kwin-common kwin-data kwin-x11
10:51:31 INFO : CUDA Toolkit for L4T : libdebian-installer4 libkdecorations2-5v5 libkdecorations2private5v5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5activities5 libkf5attica5 libkf5completion-data libkf5completion5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5declarative-data libkf5declarative5 libkf5doctools5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5idletime5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kcmutils-data
10:51:31 INFO : CUDA Toolkit for L4T : libkf5kcmutils5 libkf5kiocore5 libkf5kiontlm5 libkf5kiowidgets5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5 libkf5package-data
10:51:31 INFO : CUDA Toolkit for L4T : libkf5package5 libkf5plasma5 libkf5quickaddons5 libkf5solid5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5textwidgets-data libkf5textwidgets5 libkf5waylandclient5
10:51:31 INFO : CUDA Toolkit for L4T : libkf5waylandserver5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5
10:51:31 INFO : CUDA Toolkit for L4T : libkscreenlocker5 libkwin4-effect-builtins1 libkwineffects11
10:51:31 INFO : CUDA Toolkit for L4T : libkwinglutils11 libkwinxrenderutils11 libqgsttools-p1 libqt5designer5
10:51:31 INFO : CUDA Toolkit for L4T : libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins
10:51:31 INFO : CUDA Toolkit for L4T : libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5opengl5
10:51:31 INFO : CUDA Toolkit for L4T : libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5
10:51:31 INFO : CUDA Toolkit for L4T : libqt5quickwidgets5 libqt5sensors5 libqt5sql5 libqt5test5 libqt5webchannel5
10:51:31 INFO : CUDA Toolkit for L4T : libqt5webkit5 libxcb-composite0 libxcb-cursor0 libxcb-damage0 os-prober
10:51:31 INFO : CUDA Toolkit for L4T : python3-dbus.mainloop.pyqt5 python3-icu python3-pam python3-pyqt5
10:51:31 INFO : CUDA Toolkit for L4T : python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-sip
10:51:31 INFO : CUDA Toolkit for L4T : qml-module-org-kde-kquickcontrolsaddons qml-module-qtmultimedia
10:51:31 INFO : CUDA Toolkit for L4T : qml-module-qtquick2 rdate
10:51:31 INFO : CUDA Toolkit for L4T : Use 'sudo apt autoremove' to remove them.
10:51:32 INFO : CUDA Toolkit for L4T : 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
10:51:32 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin, 5
10:51:32 INFO : CUDA Toolkit for L4T : Reading package lists...
10:51:32 INFO : CUDA Toolkit for L4T : Building dependency tree...
10:51:32 INFO : CUDA Toolkit for L4T : Reading state information...
10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package libfreeimage-dev
10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package libopenmpi-dev
10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package openmpi-bin
10:51:32 INFO : CUDA Toolkit for L4T : Unhandled error when running sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
10:51:32 INFO : CUDA Toolkit for L4T : exit status 1
10:51:32 INFO : CUDA Toolkit for L4T : [ Package Install Finished with Error ]
10:51:32 ERROR : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
10:51:32 INFO : CUDA Toolkit for L4T :
10:51:32 INFO : CUDA Toolkit for L4T : [ 52.00 KB used. Disk Avail: 341.34 GB ]
10:51:32 INFO : CUDA Toolkit for L4T : [ NV_L4T_CUDA_TARGET_POST_INSTALL_COMP Install took 1m57s ]
10:51:32 INFO : CUDA Toolkit for L4T : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
10:51:32 ERROR : CUDA Toolkit for L4T : command terminated with error
10:51:53 INFO : CUDA Toolkit for L4T : Found file /home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb with correct checksum, skip downloading.
11:10:36 DEBUG : CUDA Toolkit for L4T : running command < cd '/home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310' ; '/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter' -a='install' -c='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' -i='NV_L4T_CUDA_TARGET_POST_INSTALL_COMP' -v='10.0' -l='/home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310' -L='/home/rishabh/.nvsdkm/logs/JetPack_4.2_Linux' -p='9343' -t='P3310' -e='/home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb' >
11:10:36 INFO : CUDA Toolkit for L4T : [ Disk Avail:341.34 GB ]
11:10:36 INFO : CUDA Toolkit for L4T : Using GenericInstaller to Install NV_L4T_CUDA_TARGET_POST_INSTALL_COMP
11:10:36 INFO : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP include 1 package
11:10:36 INFO : CUDA Toolkit for L4T : [ Package Install Started ]
11:10:36 INFO : CUDA Toolkit for L4T : current working directory is /home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310
11:10:36 INFO : CUDA Toolkit for L4T : exec_command [target]:
11:10:36 INFO : CUDA Toolkit for L4T : **********************
11:10:36 INFO : CUDA Toolkit for L4T : #!/bin/bash
11:10:36 INFO : CUDA Toolkit for L4T : set -e
11:10:36 INFO : CUDA Toolkit for L4T :
11:10:36 INFO : CUDA Toolkit for L4T : function safe_apt_install {
11:10:36 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
11:10:36 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:10:36 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:10:36 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
11:10:36 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:10:36 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:10:36 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
11:10:36 INFO : CUDA Toolkit for L4T : else
11:10:36 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
11:10:36 INFO : CUDA Toolkit for L4T : fi
11:10:36 INFO : CUDA Toolkit for L4T : done
11:10:36 INFO : CUDA Toolkit for L4T : }
11:10:36 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
11:10:36 INFO : CUDA Toolkit for L4T : sudo mkdir -p /opt/nvidia/deb_repos
11:10:36 INFO : CUDA Toolkit for L4T : sudo chmod 777 /opt/nvidia/deb_repos
11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
11:10:36 INFO : CUDA Toolkit for L4T : **********************
11:10:36 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
11:10:37 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
11:10:37 INFO : CUDA Toolkit for L4T :
11:10:38 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
11:10:38 INFO : CUDA Toolkit for L4T :
11:10:38 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsight:
11:10:38 INFO : CUDA Toolkit for L4T :
11:10:38 INFO : CUDA Toolkit for L4T : exec_command: scp -F /dev/null -o PubkeyAuthentication=no -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o ConnectTimeout=5 -r /home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb farsight@192.168.55.1:/opt/nvidia/deb_repos/
11:10:38 WARNING : CUDA Toolkit for L4T : Warning: Permanently added '192.168.55.1' (ECDSA) to the list of known hosts.
11:10:38 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
11:10:38 INFO : CUDA Toolkit for L4T :
11:11:23 INFO : CUDA Toolkit for L4T : exec_command [target]:
11:11:23 INFO : CUDA Toolkit for L4T : **********************
11:11:23 INFO : CUDA Toolkit for L4T : #!/bin/bash
11:11:23 INFO : CUDA Toolkit for L4T : set -e
11:11:23 INFO : CUDA Toolkit for L4T :
11:11:23 INFO : CUDA Toolkit for L4T : function safe_apt_install {
11:11:23 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
11:11:23 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:11:23 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
11:11:23 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:11:23 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
11:11:23 INFO : CUDA Toolkit for L4T : else
11:11:23 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
11:11:23 INFO : CUDA Toolkit for L4T : fi
11:11:23 INFO : CUDA Toolkit for L4T : done
11:11:23 INFO : CUDA Toolkit for L4T : }
11:11:23 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
11:11:23 INFO : CUDA Toolkit for L4T : function safe_apt_install {
11:11:23 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
11:11:23 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:11:23 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
11:11:23 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
11:11:23 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
11:11:23 INFO : CUDA Toolkit for L4T : else
11:11:23 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
11:11:23 INFO : CUDA Toolkit for L4T : fi
11:11:23 INFO : CUDA Toolkit for L4T : done
11:11:23 INFO : CUDA Toolkit for L4T : }
11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb" 5
11:11:23 INFO : CUDA Toolkit for L4T : sleep 5
11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-key add /var/cuda-repo-*-local*/*.pub" 5
11:11:23 INFO : CUDA Toolkit for L4T : sleep 2
11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y update" 5
11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get install -y gnupg" 5
11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin" 5
11:11:23 INFO : CUDA Toolkit for L4T : grep -q 'export PATH=.*/usr/local/cuda-10.0/bin' ~/.bashrc || echo 'export PATH=/usr/local/cuda-10.0/bin:$PATH'>>~/.bashrc
11:11:23 INFO : CUDA Toolkit for L4T : grep -q 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64' ~/.bashrc || echo 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64:$LD_LIBRARY_PATH' >> ~/.bashrc
11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
11:11:23 INFO : CUDA Toolkit for L4T : **********************
11:11:23 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
11:11:23 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
11:11:23 INFO : CUDA Toolkit for L4T :
11:11:23 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
11:11:23 INFO : CUDA Toolkit for L4T :
11:11:24 INFO : CUDA Toolkit for L4T : *begin sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb, 5
11:11:24 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsight:
11:11:24 INFO : CUDA Toolkit for L4T :
11:11:24 INFO : CUDA Toolkit for L4T : Selecting previously unselected package cuda-repo-l4t-10-0-local-10.0.166.
11:11:24 INFO : CUDA Toolkit for L4T : (Reading database ... 117136 files and directories currently installed.)
11:11:24 INFO : CUDA Toolkit for L4T : Preparing to unpack .../cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb ...
11:11:24 INFO : CUDA Toolkit for L4T : Unpacking cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
11:11:31 INFO : CUDA Toolkit for L4T : Setting up cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
11:11:31 INFO : CUDA Toolkit for L4T :
11:11:31 INFO : CUDA Toolkit for L4T : The public CUDA GPG key does not appear to be installed.
11:11:31 INFO : CUDA Toolkit for L4T : To install the key, run this command:
11:11:31 INFO : CUDA Toolkit for L4T : sudo apt-key add /var/cuda-repo-10-0-local-10.0.166/7fa2af80.pub
11:11:31 INFO : CUDA Toolkit for L4T :
11:11:36 INFO : CUDA Toolkit for L4T : *begin sudo apt-key add /var/cuda-repo-*-local*/*.pub, 5
11:11:36 INFO : CUDA Toolkit for L4T : Warning: apt-key output should not be parsed (stdout is not a terminal)
11:11:36 INFO : CUDA Toolkit for L4T : OK
11:11:38 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y update, 5
11:11:39 INFO : CUDA Toolkit for L4T : Get:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
11:11:39 INFO : CUDA Toolkit for L4T : Ign:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
11:11:39 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
11:11:39 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
11:11:39 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
11:11:39 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
11:11:39 INFO : CUDA Toolkit for L4T : Get:4 file:/var/cuda-repo-10-0-local-10.0.166 Packages [10.9 kB]
11:12:09 INFO : CUDA Toolkit for L4T : Err:5 http://ports.ubuntu.com/ubuntu-ports bionic InRelease
11:12:09 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
11:12:19 INFO : CUDA Toolkit for L4T : Err:6 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease
11:12:19 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
11:12:29 INFO : CUDA Toolkit for L4T : Err:7 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease
11:12:29 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
11:12:39 INFO : CUDA Toolkit for L4T : Err:8 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease
11:12:39 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic/InRelease Could not resolve 'ports.ubuntu.com'
11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-updates/InRelease Could not resolve 'ports.ubuntu.com'
11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-backports/InRelease Could not resolve 'ports.ubuntu.com'
11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-security/InRelease Could not resolve 'ports.ubuntu.com'
11:12:40 INFO : CUDA Toolkit for L4T : W: Some index files failed to download. They have been ignored, or old ones used instead.
11:12:40 INFO : CUDA Toolkit for L4T : *begin sudo apt-get install -y gnupg, 5
11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
11:12:40 INFO : CUDA Toolkit for L4T : Building dependency tree...
11:12:40 INFO : CUDA Toolkit for L4T : Reading state information...
11:12:40 INFO : CUDA Toolkit for L4T : gnupg is already the newest version (2.2.4-1ubuntu1.2).
11:12:40 INFO : CUDA Toolkit for L4T : gnupg set to manually installed.
11:12:40 INFO : CUDA Toolkit for L4T : The following packages were automatically installed and are no longer required:
11:12:40 INFO : CUDA Toolkit for L4T : apt-clone archdetect-deb busybox-static cryptsetup-bin dpkg-repack
11:12:40 INFO : CUDA Toolkit for L4T : gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 grub-common kde-window-manager kinit
11:12:40 INFO : CUDA Toolkit for L4T : kio kpackagetool5 kwayland-data kwin-common kwin-data kwin-x11
11:12:40 INFO : CUDA Toolkit for L4T : libdebian-installer4 libkdecorations2-5v5 libkdecorations2private5v5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5activities5 libkf5attica5 libkf5completion-data libkf5completion5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5declarative-data libkf5declarative5 libkf5doctools5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5idletime5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kcmutils-data
11:12:40 INFO : CUDA Toolkit for L4T : libkf5kcmutils5 libkf5kiocore5 libkf5kiontlm5 libkf5kiowidgets5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5 libkf5package-data
11:12:40 INFO : CUDA Toolkit for L4T : libkf5package5 libkf5plasma5 libkf5quickaddons5 libkf5solid5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5textwidgets-data libkf5textwidgets5 libkf5waylandclient5
11:12:40 INFO : CUDA Toolkit for L4T : libkf5waylandserver5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5
11:12:40 INFO : CUDA Toolkit for L4T : libkscreenlocker5 libkwin4-effect-builtins1 libkwineffects11
11:12:40 INFO : CUDA Toolkit for L4T : libkwinglutils11 libkwinxrenderutils11 libqgsttools-p1 libqt5designer5
11:12:40 INFO : CUDA Toolkit for L4T : libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins
11:12:40 INFO : CUDA Toolkit for L4T : libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5opengl5
11:12:40 INFO : CUDA Toolkit for L4T : libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5
11:12:40 INFO : CUDA Toolkit for L4T : libqt5quickwidgets5 libqt5sensors5 libqt5sql5 libqt5test5 libqt5webchannel5
11:12:40 INFO : CUDA Toolkit for L4T : libqt5webkit5 libxcb-composite0 libxcb-cursor0 libxcb-damage0 os-prober
11:12:40 INFO : CUDA Toolkit for L4T : python3-dbus.mainloop.pyqt5 python3-icu python3-pam python3-pyqt5
11:12:40 INFO : CUDA Toolkit for L4T : python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-sip
11:12:40 INFO : CUDA Toolkit for L4T : qml-module-org-kde-kquickcontrolsaddons qml-module-qtmultimedia
11:12:40 INFO : CUDA Toolkit for L4T : qml-module-qtquick2 rdate
11:12:40 INFO : CUDA Toolkit for L4T : Use 'sudo apt autoremove' to remove them.
11:12:40 INFO : CUDA Toolkit for L4T : 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
11:12:40 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin, 5
11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
11:12:40 INFO : CUDA Toolkit for L4T : Building dependency tree...
11:12:40 INFO : CUDA Toolkit for L4T : Reading state information...
11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package libfreeimage-dev
11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package libopenmpi-dev
11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package openmpi-bin
11:12:40 INFO : CUDA Toolkit for L4T : Unhandled error when running sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
11:12:40 INFO : CUDA Toolkit for L4T : exit status 1
11:12:40 INFO : CUDA Toolkit for L4T : [ Package Install Finished with Error ]
11:12:40 ERROR : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
11:12:40 INFO : CUDA Toolkit for L4T :
11:12:40 INFO : CUDA Toolkit for L4T : [ 60.00 KB used. Disk Avail: 341.34 GB ]
11:12:40 INFO : CUDA Toolkit for L4T : [ NV_L4T_CUDA_TARGET_POST_INSTALL_COMP Install took 2m4s ]
11:12:40 INFO : CUDA Toolkit for L4T : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
11:12:40 ERROR : CUDA Toolkit for L4T : command terminated with error

Hi rishabh.choudhary,

Are you connect ethernet cable on your host machine?
Please run again sdkmanager to check the issue can be reproduce or not.
Thanks!

I am connected through ethernet on the host. I setup the wifi on the target in the configuration. Now the SDK installation seemed to have worked. Does that mean the target needs internet connection when installing (after flahsing)?

Hi rishabh.choudhary,

I think the internet is required when install CUDA on target. (Need apt-get)

Hi,

Let us say, the Ethernet is not connected during the installation, is there a way to re-enter the connection params again, only error popup is coming, unable to enter the user name password and IP. Please comment.

Another question is,

Do i have to flash Jetson OS in each installation, is there a way install only SDK components like CUDA, lll?

Thanks,
Sara

You can choose to only flash, or only install extras to Jetson, or only install extras to host. The drop down menus don’t look like these are selectable, but they are. Flash once, and then you can add components at any future date (but the host must have internet access).

well, this time I have connected Ethernet cable with JetsonTx2. At host side, have configured the JetsonSDK with right IP(JetsonTX2), username and password. It is still throwing connection failed error.

JetsonTX2 is connected with network and able to connect with internet as well.

Thanks,
Sara

In older releases only the wired ethernet was used. There was a script such that on first boot after a flash the wired ethernet address could be reported to JetPack. If not flashing, then you had to enter the IP address manually. In that case you would be prompted for the Jetson’s network address, and you’d run “ifconfig” on the Jetson and find the address of the appropriate network (eth0).

In newer releases with SDK Manager a flash results in the micro-OTG USB port, when connected with a micro-B cable (which is what NVIDIA supplies), a virtual wired ethernet will be produced. A regular micro-A would mean the port would act as an ordinary USB port, but the switch to device mode when using a micro-B when fully booted (not in recovery mode) to add this virtual ethernet was new. The host PC would see this as an ethernet as a network device, and if the host uses that device, then DHCP would assign an address to the host as well. The Jetson side would always have address 192.168.55.1 on the virtual ethernet over micro-B USB, and the host would always have address 192.168.55.100.

Which release of JetPack/SDK Manager are you using? Assuming it is SDKM, then you might have to go into the network app of your host and tell it to use the virtual ethernet device. You’d also have to use the micro-B USB on the fully booted Jetson instead of the eth0 address. Assuming older releases, then you’d have an opportunity to add an address, and you’d run “ifconfig” on the Jetson to find this and then manually enter the address.

Tip: If you run “dmesg --follow” on the host PC, and only then plug in the USB connector of the fully booted Jetson, you’ll see a message which announces the MAC address of the virtual ethernet. When you go into the network settings GUI on the host PC it is this MAC address you will use to identify the virtual ethernet.

Tip: If things do go wrong and you want to use the wired ethernet instead of the virtual ethernet, then you can still do this, but you can’t enter it in the GUI…it is a file edit. If this is the case, then see:
https://devtalk.nvidia.com/default/topic/1056542/jetson-tx2/my-tx2-is-turned-on-there-is-no-original-unbuntu-system-/post/5357711/#5357711
…the gist is that you edit “~/.nvsdkm/dist/sdkml3_jetpack_l4t_42.json” (or change the 42 if a different version than 4.2) and change the “192.168.55.100” to the address of eth0 on the Jetson.